{*******************************************************
 * Demo1 application                                   *
 *                                                     *
 * This sample show how to use the AVLock Gold with    *
 * only one line of code.                              *
 *                                                     *
 *     Part of the AVLock Gold package                 *
 *     (c) Alcides Valega, 2002                        *
 *******************************************************}


unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ExtCtrls, jpeg, AVLockGold;

type
  TForm1 = class(TForm)
    MM1: TMainMenu;
    Module1: TMenuItem;
    Item111: TMenuItem;
    Item121: TMenuItem;
    Module2: TMenuItem;
    Item211: TMenuItem;
    Item221: TMenuItem;
    m1Opcin31: TMenuItem;
    Module3: TMenuItem;
    m3Opcin11: TMenuItem;
    m3Opcin21: TMenuItem;
    m3Opcin31: TMenuItem;
    Module4: TMenuItem;
    m4Opcin11: TMenuItem;
    m4Opcin21: TMenuItem;
    Archivos1: TMenuItem;
    Salir1: TMenuItem;
    RegisterMODULES1: TMenuItem;
    AVLock1: TAVLockGold;
    procedure FormCreate(Sender: TObject);
    procedure Item111Click(Sender: TObject);
    procedure Item121Click(Sender: TObject);
    procedure m1Opcin31Click(Sender: TObject);
    procedure Item211Click(Sender: TObject);
    procedure Item221Click(Sender: TObject);
    procedure m3Opcin11Click(Sender: TObject);
    procedure m3Opcin21Click(Sender: TObject);
    procedure m3Opcin31Click(Sender: TObject);
    procedure m4Opcin11Click(Sender: TObject);
    procedure m4Opcin21Click(Sender: TObject);
    procedure Salir1Click(Sender: TObject);
    procedure m5Option11Click(Sender: TObject);
    procedure m5Option21Click(Sender: TObject);
    procedure m6Option11Click(Sender: TObject);
    procedure m7Option11Click(Sender: TObject);
    procedure m8Option11Click(Sender: TObject);
    procedure RegisterMODULES1Click(Sender: TObject);
  private
    { Private declarations }
    procedure setmodules;
  public
    { Public declarations }
    procedure legend(m,i:integer);
  end;

var
  Form1: TForm1;

implementation
uses bioshelp;
{$R *.DFM}


procedure TForm1.setmodules;
begin
  module1.visible := avlock1.moduleok(1);
  module2.visible := avlock1.moduleok(2);
  module3.visible := avlock1.moduleok(3);
  module4.visible := avlock1.moduleok(4);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  {this is the only line required}
  if not avlock1.execute then Application.Terminate;

  {enabling modules (optional line)}
  setmodules;
end;


procedure TForm1.legend(m,i:integer);
begin
  showmessage('Module: '+inttostr(m)+'       Item: '+inttostr(i)+#13#10+
  '--------------------------------------------'+#13#10+
  'Sample program using the AVLock component');
end;

procedure TForm1.Item111Click(Sender: TObject);
begin
  legend(1,1);
end;

procedure TForm1.Item121Click(Sender: TObject);
begin
  legend(1,2);
end;

procedure TForm1.m1Opcin31Click(Sender: TObject);
begin
  legend(1,3);
end;

procedure TForm1.Item211Click(Sender: TObject);
begin
  legend(2,1);
end;

procedure TForm1.Item221Click(Sender: TObject);
begin
  legend(2,2);
end;

procedure TForm1.m3Opcin11Click(Sender: TObject);
begin
  legend(3,1);
end;

procedure TForm1.m3Opcin21Click(Sender: TObject);
begin
  legend(3,2);
end;

procedure TForm1.m3Opcin31Click(Sender: TObject);
begin
  legend(3,3);
end;

procedure TForm1.m4Opcin11Click(Sender: TObject);
begin
  legend(4,1);
end;

procedure TForm1.m4Opcin21Click(Sender: TObject);
begin
  legend(4,2);
end;

procedure TForm1.m5Option11Click(Sender: TObject);
begin
  legend(5,1);
end;

procedure TForm1.m5Option21Click(Sender: TObject);
begin
  legend(5,2);
end;

procedure TForm1.m6Option11Click(Sender: TObject);
begin
  legend(6,1);
end;

procedure TForm1.m7Option11Click(Sender: TObject);
begin
  legend(7,1);
end;

procedure TForm1.m8Option11Click(Sender: TObject);
begin
  legend(8,1);
end;

procedure TForm1.Salir1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.RegisterMODULES1Click(Sender: TObject);
begin
  if AVLock1.doexecute then setmodules;
end;

end.
